// 申请人、申请人代理人、被申请人、被申请人代理人

import React from 'react';
import { RightArrow2Outlined } from 'dd-icons';

const ApplyDialog = ({ data, handleCheckPreview, modalClick }) => {
	return (
		<>
			{data?.map((item, index) => (
				<div key={index}>
					<div className="public-space"></div>
					<div className="daxx-card">
						<div className="daxx-userInfo">
							<div className="daxx-avatar">申请方</div>
							<div className="daxx-info">
								<div className="daxx-name">
									{item.trueName}&nbsp;{item.mobile}&nbsp;
									{item.perType === '24_00006-1' && <span className="daxx-tag daxx-tag-blue">代理人</span>}
								</div>
								{item.perType === '24_00006-1' ? (
									<div className="daxx-id">
										代理对象&nbsp;|&nbsp;{'[人名]'}&nbsp;|&nbsp;{item.certiNo}
									</div>
								) : (
									<div className="daxx-id">
										{item.perClassName}&nbsp;|&nbsp;{item.certiNo}
									</div>
								)}
							</div>
							<div className="daxx-arrow">
								<RightArrow2Outlined />
							</div>
						</div>
						{/* <div className="daxx-line-box">
      <div className="daxx-line"></div>
      <div className="daxx-tags">
        <span className="daxx-tag daxx-tag-purple">精</span>
        <span className="daxx-tag daxx-tag-green">流</span>
        <span className="daxx-tag daxx-tag-orange">重</span>
        <span className="daxx-tag daxx-tag-pink">统</span>
        <span className="daxx-tag daxx-tag-blue">刑</span>
        <span className="daxx-tag daxx-tag-cyan">少</span>
        <span className="daxx-tag daxx-tag-blue-light">潜</span>
        <span className="daxx-tag daxx-tag-purple-light">涉</span>
        <span className="daxx-tag daxx-tag-red">极</span>
      </div>
    </div> */}
					</div>
				</div>
			))}
		</>
	);
};

const Applied = ({ data }) => {
	return (
		<>
			{data?.map((item, index) => (
				<div key={index}>
					<div className="public-space"></div>
					<div className="daxx-card">
						<div className="daxx-userInfo">
							<div className="daxx-avatar-applied">
								被申
								<br />
								请方
							</div>
							<div className="daxx-info">
								<div className="daxx-name">
									{item.trueName}&nbsp;{item.mobile}&nbsp;
									{item.perType === '24_00006-2' && <span className="daxx-tag daxx-tag-orange">代理人</span>}
								</div>
								{item.perType === '24_00006-2' ? (
									<div className="daxx-id">
										代理对象&nbsp;|&nbsp;{'[人名]'}&nbsp;|&nbsp;{item.certiNo}
									</div>
								) : (
									<div className="daxx-id">
										{item.perClassName}&nbsp;|&nbsp;{item.certiNo}
									</div>
								)}
							</div>
							<div className="daxx-arrow">
								<RightArrow2Outlined />
							</div>
						</div>
						{/* <div className="daxx-line-box">
      <div className="daxx-line"></div>
      <div className="daxx-tags">
        <span className="daxx-tag daxx-tag-purple">精</span>
        <span className="daxx-tag daxx-tag-green">流</span>
        <span className="daxx-tag daxx-tag-orange">重</span>
        <span className="daxx-tag daxx-tag-pink">统</span>
        <span className="daxx-tag daxx-tag-blue">刑</span>
        <span className="daxx-tag daxx-tag-cyan">少</span>
        <span className="daxx-tag daxx-tag-blue-light">潜</span>
        <span className="daxx-tag daxx-tag-purple-light">涉</span>
        <span className="daxx-tag daxx-tag-red">极</span>
      </div>
    </div> */}
					</div>
				</div>
			))}
		</>
	);
};

export { ApplyDialog, Applied };
